Subject: Scanning mercury electrodes

From: <[email-masked]>
Date: Tue, 28 Jun 94 18:10:29 edt

Does anyone know of a source of scanning mercury drop electrodes or,
preferrably, know of a source of schematics on how to build one?  

     I'm currently involved in a project on the quatitation of metals
in human serum and we would like to try to explore this avenue.

Thanks in advance

Michael G. Butler